<?php
require '../bootstrap.php';
$conectDB = connectDB();
$conectDB->exec("set names utf8mb4");

if(!isset($_SESSION['userLogged'])){
	echo messageJson('erro', 'Você não está logado no site, faça login novamente');
	exit;
}

$escolaID 			= $_SESSION['userID'];
$dataCadastro = date("Y-m-d H:i");

if ($_SERVER['REQUEST_METHOD'] === 'POST') {

		//echo '<pre>';print_r($_POST);echo '</pre>';exit;
			if(empty($_POST['motivoDesativa']))
			{
				echo messageJson('erro', 'Por favor, selecione um motivo', '', '');exit;
			}
		 
			$motivoDesativa		= stringInputCleaner($_POST['motivoDesativa']);
			 
			$cadinsert = "INSERT into professor_desativa_conta (
				professor_id, motivo, cadastro
			) VALUES (
				:professor_id, :motivo, :cadastro
			)";
			try {
				$cadresult = $conectDB->prepare($cadinsert);
				$cadresult->bindParam(':professor_id', $escolaID, PDO::PARAM_STR);
				$cadresult->bindParam(':motivo', 	$motivoDesativa, PDO::PARAM_STR);
				$cadresult->bindParam(':cadastro' , $dataCadastro, PDO::PARAM_STR);
	            $cadresult->execute();
				
			 
					$cadinsert = "
						UPDATE
							professor
						SET
							ativo = :ativo
						WHERE
							id 		= :id
					";
						$ativo = '2';
						$cadresult = $conectDB->prepare($cadinsert);
						$cadresult->bindParam(':id', $escolaID, PDO::PARAM_STR);
						$cadresult->bindParam(':ativo' , 	$ativo, PDO::PARAM_STR);
						$cadresult->execute();
				
				session_destroy();
		        echo messageJson('sucesso', 'Desativação em processo, enviaremos um e-mail informando o estado da sua solicitação', 'redirectToUrl', 'professor/desativada');
	        }
	        catch(PDOException $e) {
	            echo messageJson('erro', 'Houve algo de errado, tente novamente', '', '');
	        }
			exit;
  
}